%define LANG zh
%define name man-pages-%{LANG}
%define version 1.5
%define release %mkrel 11

%define fname man-pages-zh_CN

#####################
#
# I have no idea where to get newer pages; there is no URL
# AdamW: There's http://www.linux.org.tw/CLDP/man/ , but nothing there
# at present (May 2007)
#
#####################

Summary: Chinese Man Pages
Name: man-pages-%{LANG}
Version: %{version}
Release: %{release}
License: FDL
Group: System/Internationalization
Source: http://download.sf.linuxforum.net/cmpp/%{fname}-%{version}.tar.bz2
Source1: makewhatis.%{LANG}_CN.UTF-8.bz2
Source2: makewhatis.%{LANG}_CN.bz2
BuildRequires: man
Requires: locales-%{LANG}, man
Autoreq: false
BuildArch: noarch
Requires: locales-%{LANG}
Obsoletes: man-%{LANG}, manpages-%{LANG}
Provides: man-%{LANG}, manpages-%{LANG}

%description
Set of man pages translated into Chinese language

%prep
%setup -q -n %{fname}-%{version}
%make u8
%make gb
# fix conflict with mplayer:
rm -f */man1/mplayer.1

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/etc
make DESTDIR=%{buildroot}%{_usr}/share install-u8
make DESTDIR=%{buildroot}%{_usr}/share install-gb CONFDIR=%{buildroot}/etc

mkdir -p %{buildroot}/usr/sbin
bzcat %{SOURCE1} > %{buildroot}/usr/sbin/makewhatis.%{LANG}_CN.UTF-8
chmod a+rx %{buildroot}/usr/sbin/makewhatis.%{LANG}_CN.UTF-8
bzcat %{SOURCE2} > %{buildroot}/usr/sbin/makewhatis.%{LANG}_CN
chmod a+rx %{buildroot}/usr/sbin/makewhatis.%{LANG}_CN

%{buildroot}/usr/sbin/makewhatis.%{LANG}_CN.UTF-8 \
        %{buildroot}/%{_mandir}/%{LANG}_CN.UTF-8
%{buildroot}/usr/sbin/makewhatis.%{LANG}_CN \
        %{buildroot}/%{_mandir}/%{LANG}_CN

mkdir -p %{buildroot}/etc/cron.weekly
cat > %{buildroot}/etc/cron.weekly/makewhatis-%{LANG}_CN.UTF-8.cron << EOF
#!/bin/bash
/usr/sbin/makewhatis.%{LANG}_CN.UTF-8 %{_mandir}/%{LANG}_CN.UTF-8
exit 0
EOF
chmod a+x %{buildroot}/etc/cron.weekly/makewhatis-%{LANG}_CN.UTF-8.cron
cat > %{buildroot}/etc/cron.weekly/makewhatis-%{LANG}_CN.cron << EOF
#!/bin/bash
/usr/sbin/makewhatis.%{LANG}_CN %{_mandir}/%{LANG}_CN
exit 0
EOF
chmod a+x %{buildroot}/etc/cron.weekly/makewhatis-%{LANG}_CN.cron

%post
/etc/cron.weekly/makewhatis-%{LANG}_CN.UTF-8.cron
/etc/cron.weekly/makewhatis-%{LANG}_CN.cron
touch %{_mandir}/%{LANG}_CN.UTF-8/whatis
touch %{_mandir}/%{LANG}_CN/whatis

%clean
rm -r %{buildroot}

%files
%defattr(0644,root,man,755)
%ghost %{_mandir}/%{LANG}_CN.UTF-8/whatis
%attr(0755,root,root) %dir %{_mandir}/%{LANG}_CN.UTF-8
%{_mandir}/%{LANG}_CN.UTF-8/man.macros*
%attr(0755,root,root) %{_mandir}/%{LANG}_CN.UTF-8/man?
%{_mandir}/%{LANG}_CN.UTF-8/man?/*
%attr(755,root,root)/usr/sbin/makewhatis.%{LANG}_CN.UTF-8
%config(noreplace) %attr(755,root,root)/etc/cron.weekly/makewhatis-%{LANG}_CN.UTF-8.cron
#
%ghost %{_mandir}/%{LANG}_CN/whatis
%attr(0755,root,root) %dir %{_mandir}/%{LANG}_CN
%{_mandir}/%{LANG}_CN/man.macros*
%attr(0755,root,root) %{_mandir}/%{LANG}_CN/man?
%{_mandir}/%{LANG}_CN/man?/*
%attr(755,root,root)/usr/sbin/makewhatis.%{LANG}_CN
%config(noreplace) %attr(755,root,root)/etc/cron.weekly/makewhatis-%{LANG}_CN.cron
%{_sysconfdir}/cman.conf
%{_sysconfdir}/profile.d/cman.csh
%{_sysconfdir}/profile.d/cman.sh


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.5-11.mga4
+ Revision: 522713
- Mageia 4 Mass Rebuild

* Tue Mar 26 2013 luigiwalser <luigiwalser> 1.5-10.mga3
+ Revision: 405269
- fix ownership of man directories to not conflict with other packages (mga#9055)

* Sat Jan 12 2013 umeabot <umeabot> 1.5-9.mga3
+ Revision: 359404
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 11 2011 ahmad <ahmad> 1.5-8.mga1
+ Revision: 6063
- drop old versioned man requires, just 'man' is enough now
- imported package man-pages-zh


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.5-8mdv2011.0
+ Revision: 606626
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.5-7mdv2010.1
+ Revision: 521778
- rebuilt for 2010.1

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.5-6mdv2009.1
+ Revision: 351587
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.5-5mdv2009.0
+ Revision: 223195
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.5-4mdv2008.1
+ Revision: 152998
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Jun 01 2007 Adam Williamson <awilliamson@mandriva.org> 1.5-2mdv2008.0
+ Revision: 33501
- rebuild for new era; drop /var/catman (wildly obsolete)


* Thu Jul 07 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.5-1mdk
- new upstream source (#16295)

* Thu Jul 24 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.2.24-5mdk
- rebuild

* Mon Jan 20 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.24-4mdk
- build release

* Fri Mar 08 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.24-3mdk
- fix permission on /usr/share/man/id/*
- provides manpages-%%{LANG}
- don't overwrite crontab if user altered it

* Tue May 01 2001 David BAUDENS <baudens@mandrakesoft.com> 0.2.24-2mdk
- Use %%_tmppath for BuildRoot

* Thu Jul 20 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2.24-1mdk
- First rpm for Mandrake

